## ros-melodic-pr2-calibration-launch 1.0.11

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html

# CATKIN_MIGRATION: removed during catkin migration
cmake_minimum_required(VERSION 2.8.3)
project(pr2_calibration_launch)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS calibration_msgs calibration_estimation calibration_launch pr2_dense_laser_snapshotter laser_cb_detector laser_joint_processor laser_joint_projector stereo_image_proc image_cb_detector monocam_settler image_view robot_mechanism_controllers sensor_msgs geometry_msgs pr2_teleop rospy rostest kdl_parser)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
#
# CATKIN_MIGRATION: removed during catkin migration
#  cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
#
# CATKIN_MIGRATION: removed during catkin migration
#  include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)


# CATKIN_MIGRATION: removed during catkin migration
#
# CATKIN_MIGRATION: removed during catkin migration
#  rosbuild_init()

#set the default path for built executables to the "bin" directory
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

find_package(Eigen3)
include_directories(SYSTEM ${Eigen3_INCLUDE_DIRS})

#add_executable(pr2_fk_ref test/pr2_fk_ref.cpp)

#add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_pr2_fk.launch)

#uncomment if you have defined messages
#uncomment if you have defined services
add_service_files(
  FILES FkTest.srv
)
## Generate added messages and services with any dependencies listed here
#generate_messages(
#    #TODO DEPENDENCIES geometry_msgs std_msgs
#)
generate_messages()


## Generate added messages and services with any dependencies listed here

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS
    CATKIN_DEPENDS message_runtime# TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(
  DIRECTORY capture_data estimate_params
  results view_results intrinsics pr2_urdf_parser_py verify_urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-melodic-pr2-calibration-launch (1.0.11-3stretch) stretch; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 07:00:00 -0000

ros-melodic-pr2-calibration-launch (1.0.10-3stretch) stretch; urgency=high

  * updated maintainer; fixed cmake warnings; fixed compiler warnings
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 22 Mar 2018 07:00:00 -0000

ros-melodic-pr2-calibration-launch (1.0.7-3stretch) stretch; urgency=high

  * Install directories of pr2_calibration_launch
  * Contributors: Ryohei Ueda

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 06 Feb 2015 08:00:00 -0000

ros-melodic-pr2-calibration-launch (1.0.6-3stretch) stretch; urgency=high

  * Changelogs
  * Fix PR2 calibration by using hacked version of urdf_parser_py by
    overwriting PYTHONPATH in the shell scripts.
  * Contributors: Ryohei Ueda, TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 04 Dec 2014 08:00:00 -0000

ros-melodic-pr2-calibration-launch (1.0.5-3stretch) stretch; urgency=high

  * Removed mainpage.dox for *
  * fix for catkin make
  * Contributors: JSK applications, TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Oct 2014 07:00:00 -0000

ros-melodic-pr2-calibration-launch (1.0.4-3stretch) stretch; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 17 Sep 2014 07:00:00 -0000

ros-melodic-pr2-calibration-launch (1.0.3-3stretch) stretch; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 11 Sep 2014 07:00:00 -0000

ros-melodic-pr2-calibration-launch (1.0.1-3stretch) stretch; urgency=high

  * x
  * Added hydro devel, compiles and makes in hydro
  * Catkinization of pr2_calibration_launch
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 08 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-calibration-launch
Section: misc
Priority: optional
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-calibration-estimation, ros-melodic-calibration-launch, ros-melodic-calibration-msgs, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-image-cb-detector, ros-melodic-image-view, ros-melodic-kdl-parser, ros-melodic-laser-cb-detector, ros-melodic-laser-joint-processor, ros-melodic-laser-joint-projector, ros-melodic-message-generation, ros-melodic-monocam-settler, ros-melodic-pr2-dense-laser-snapshotter, ros-melodic-pr2-teleop, ros-melodic-python-orocos-kdl, ros-melodic-robot-mechanism-controllers, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-stereo-image-proc
Homepage: http://www.ros.org/wiki/pr2_calibration_launch
Standards-Version: 3.9.2

Package: ros-melodic-pr2-calibration-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-calibration-estimation, ros-melodic-calibration-launch, ros-melodic-calibration-msgs, ros-melodic-geometry-msgs, ros-melodic-image-cb-detector, ros-melodic-image-view, ros-melodic-kdl-parser, ros-melodic-laser-cb-detector, ros-melodic-laser-joint-processor, ros-melodic-laser-joint-projector, ros-melodic-message-runtime, ros-melodic-monocam-settler, ros-melodic-pr2-dense-laser-snapshotter, ros-melodic-pr2-teleop, ros-melodic-python-orocos-kdl, ros-melodic-robot-mechanism-controllers, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-stereo-image-proc
Description: Launch files and configuration files needed to run the calibration pipeline on PR2.
 This package is still experimental. Expect large changes tp occur.
